package de.dass_it.vanhelsing.gui.items;
public class ConsoleItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="password"
	 */
	private String password;
	/**
	 * @uml.property  name="jobacl"
	 */
	private String jobacl;
	/**
	 * @uml.property  name="clientacl"
	 */
	private String clientacl;
	/**
	 * @uml.property  name="storageacl"
	 */
	private String storageacl;
	/**
	 * @uml.property  name="scheduleacl"
	 */
	private String scheduleacl;
	/**
	 * @uml.property  name="poolacl"
	 */
	private String poolacl;
	/**
	 * @uml.property  name="fileSetacl"
	 */
	private String fileSetacl;
	/**
	 * @uml.property  name="catalogacl"
	 */
	private String catalogacl;
	/**
	 * @uml.property  name="commandacl"
	 */
	private String commandacl;
	/**
	 * @uml.property  name="whereacl"
	 */
	private String whereacl;

	public ConsoleItem(){}

	public 	ConsoleItem(String name, String password){
		setName(name);
		setPassword(password);
	}

	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return
	 * @uml.property  name="password"
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 * @uml.property  name="password"
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return
	 * @uml.property  name="jobacl"
	 */
	public String getJobacl() {
		return jobacl;
	}

	/**
	 * @param jobacl
	 * @uml.property  name="jobacl"
	 */
	public void setJobacl(String jobacl) {
		this.jobacl = jobacl;
	}

	/**
	 * @return
	 * @uml.property  name="clientacl"
	 */
	public String getClientacl() {
		return clientacl;
	}

	/**
	 * @param clientacl
	 * @uml.property  name="clientacl"
	 */
	public void setClientacl(String clientacl) {
		this.clientacl = clientacl;
	}

	/**
	 * @return
	 * @uml.property  name="storageacl"
	 */
	public String getStorageacl() {
		return storageacl;
	}

	/**
	 * @param storageacl
	 * @uml.property  name="storageacl"
	 */
	public void setStorageacl(String storageacl) {
		this.storageacl = storageacl;
	}

	/**
	 * @return
	 * @uml.property  name="scheduleacl"
	 */
	public String getScheduleacl() {
		return scheduleacl;
	}

	/**
	 * @param scheduleacl
	 * @uml.property  name="scheduleacl"
	 */
	public void setScheduleacl(String scheduleacl) {
		this.scheduleacl = scheduleacl;
	}

	/**
	 * @return
	 * @uml.property  name="poolacl"
	 */
	public String getPoolacl() {
		return poolacl;
	}

	/**
	 * @param poolacl
	 * @uml.property  name="poolacl"
	 */
	public void setPoolacl(String poolacl) {
		this.poolacl = poolacl;
	}

	/**
	 * @return
	 * @uml.property  name="fileSetacl"
	 */
	public String getFileSetacl() {
		return fileSetacl;
	}

	/**
	 * @param fileSetacl
	 * @uml.property  name="fileSetacl"
	 */
	public void setFileSetacl(String fileSetacl) {
		this.fileSetacl = fileSetacl;
	}

	/**
	 * @return
	 * @uml.property  name="catalogacl"
	 */
	public String getCatalogacl() {
		return catalogacl;
	}

	/**
	 * @param catalogacl
	 * @uml.property  name="catalogacl"
	 */
	public void setCatalogacl(String catalogacl) {
		this.catalogacl = catalogacl;
	}

	/**
	 * @return
	 * @uml.property  name="commandacl"
	 */
	public String getCommandacl() {
		return commandacl;
	}

	/**
	 * @param commandacl
	 * @uml.property  name="commandacl"
	 */
	public void setCommandacl(String commandacl) {
		this.commandacl = commandacl;
	}

	/**
	 * @return
	 * @uml.property  name="whereacl"
	 */
	public String getWhereacl() {
		return whereacl;
	}

	/**
	 * @param whereacl
	 * @uml.property  name="whereacl"
	 */
	public void setWhereacl(String whereacl) {
		this.whereacl = whereacl;
	}

}
